| DocBook: The Definitive Guide 2.0.17 (Alpha)

# menuchoice

$Revision$

$Date$

menuchoice — A selection or series of selections from a menu

## Synopsis

### Content Model

    menuchoice ::=
    (shortcut?,
     (guibutton|guiicon|guilabel|guimenu|guimenuitem|guisubmenu|
      interface)+)

### Attributes

Common attributes

Name | Type | Default

moreinfo

Enumeration:
none
refentry

"none"

## Description

In applications that present graphical user interfaces, it is often necessary to select an item, or a series of items, from a menu in order to accomplish some action. The `MenuChoice` element provides a wrapper to contain the complete combination of selections.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

`MenuChoice` may generate arrows or other punctuation between multiple GUI elements. The `ShortCut` may be suppressed, or sometimes it is presented in parentheses after the rest of the items.

### Parents

These elements contain menuchoice: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in menuchoice: `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `interface`, `shortcut`.

## Attributes

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `MenuChoice`.

## See Also

`accel`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `keycap`, `keycode`, `keycombo`, `keysym`, `mousebutton`, `shortcut`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    You can exit from GNU Emacs with
    <menuchoice>
      <shortcut>
        <keycombo><keysym>C-x</keysym><keysym>C-c</keysym></keycombo>
      </shortcut>
      <guimenu>Files</guimenu>
      <guimenuitem>Exit Emacs</guimenuitem>
    </menuchoice>.
    </para>

You can exit from GNU Emacs with Files → Exit Emacs (C-x+C-c).

Compare this example with the similar example in `GUIMenu`. Here the `KeyCombo` and `MenuChoice` elements are required to process thier content in some intelligent way in order to produce useful output.

For additional examples, see also `shortcut`.

member |  | methodname

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.